# iPPI-DB ansible playbooks

This repository contains the playbooks to manage an ippidb instance with ansible

- `system.yaml`: install system requirements
- `deploy.yaml`: download/update iPPI-DB and perform required procedures to migrate and restart

## how to use these ?

```
ansible-playbook -v -i ./hosts_system system.yaml --ask-become-pass --extra-vars "deploy_user_name=ippidb repo_api_token=JZS-4cH7bWkFkHa2rAVf"
ansible-playbook -v -i ./hosts_deploy deploy.yaml --ask-become-pass --extra-vars "deploy_user_name=ippidb repo_api_token=JZS-4cH7bWkFkHa2rAVf"
```
